Subject: cross gcc for ppc
From: [email-masked] (Tadashi Ogino)

19 Nov 1997 06:08:30 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0 (generated by tm-edit 7.52)
Content-Type: text/plain; charset=US-ASCII
To: [email-masked], [email-masked]
Cc: [email-masked]

I'm trying to compile ppc(eabi) program on cygnus GCC on NT BOX.

Usually branch function is compiled to 'bl' instruction but it can go
to +- 24bit address. I want to use 32 bit address.

I found ((longcall)) attribute. It is not mentioned in GCC 2.7.2 so I
think it is Cygnus function. But it doesn't work well.

internal error--unrecognizable insn:
    <omitted>

I found rs6000.md has a bug in this case and I think I can fix them
only for my purpose. But if there exists public patch, I want to apply
it. Does anyone know it?

Thanks.
-
	Mitsubishi Electric Corp.
	Tadashi Ogino

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".